Page MenuHomeFreeBSD

Split dwc_hdmi core code out from imx6_hdmi
ClosedPublic

Authored by jmcneill on Dec 17 2016, 1:48 PM.

Details

Summary

This patch splits out the DesignWare HDMI-specific code from imx6_hdmi.c into a separate file and adds a generic DT binding that takes advantage of the extres framework for setting up clocks.

Test Plan

I tested the generic binding on JZ4780 (CI20), but still needs to be tested on i.MX6.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jmcneill updated this revision to Diff 23028.Dec 17 2016, 1:48 PM
jmcneill retitled this revision from to Split dwc_hdmi core code out from imx6_hdmi.
jmcneill updated this object.
jmcneill edited the test plan for this revision. (Show Details)
jmcneill added reviewers: ARM, gonzo.
jmcneill set the repository for this revision to rS FreeBSD src repository.
jmcneill added a project: ARM.
mmel added a subscriber: mmel.Dec 17 2016, 3:38 PM
mmel added inline comments.
sys/dev/hdmi/dwc_hdmi_fdt.c
200 ↗(On Diff #23028)

This breaks generic kernel. We cannot have multiple modules with same name (a first argument) within single kernel. This is also reason, why using generic name for specific driver is not a best option.
The driver name is not related/linked to anything, but DRIVER_DEPEND(). So you can simply change name without any negative effects.

jmcneill updated this revision to Diff 23036.Dec 17 2016, 8:03 PM

Change module name from hdmi to dwc_hdmi_fdt.

jmcneill marked an inline comment as done.Dec 17 2016, 8:03 PM
gonzo added inline comments.Dec 19 2016, 7:39 PM
sys/arm/freescale/imx/imx6_hdmi.c
128 ↗(On Diff #23036)

I believe dwc_hdmi_init(dev) call is missing here, otherwise patch looks OK

jmcneill updated this revision to Diff 23115.Dec 19 2016, 9:55 PM
  • Call dwc_hdmi_init from imx_hdmi_attach
  • Initialize sc_get_i2c_dev in imx_hdmi_attach
jmcneill marked an inline comment as done.Dec 19 2016, 9:55 PM
gonzo accepted this revision.Dec 20 2016, 12:44 AM
gonzo edited edge metadata.

LGTM

This revision is now accepted and ready to land.Dec 20 2016, 12:44 AM
This revision was automatically updated to reflect the committed changes.